Package org.freeplane.plugin.script.proxy

# Interface Proxy.NodeStyle

All Superinterfaces:
  `NodeStyle`, `NodeStyleRO`, `Proxy.NodeStyleRO`

Enclosing interface:
  `Proxy`

public static interface Proxy.NodeStyle extends Proxy.NodeStyleRO, NodeStyle

## Method Summary

Modifier and Type
Method
Description
`void`
`setMaxNodeWidth(Quantity<LengthUnit> width)`
Set to null to restore default
`void`
`setMinNodeWidth(Quantity<LengthUnit> width)`
Set to null to restore default
`void`
`setStyle(org.freeplane.features.styles.IStyle style)`

### Methods inherited from interface org.freeplane.api.NodeStyle

`setBackgroundColor, setBackgroundColorCode, setCss, setFloating, setHorizontalTextAlignment, setMaxNodeWidth, setMaxNodeWidth, setMinNodeWidth, setMinNodeWidth, setName, setNodeTextColor, setNumbering, setNumberingEnabled, setTextColor, setTextColorCode`

### Methods inherited from interface org.freeplane.api.NodeStyleRO

`getAllActiveStyles, getBackgroundColor, getBackgroundColorCode, getBorder, getCss, getEdge, getFont, getHorizontalTextAlignment, getMaxNodeWidth, getMinNodeWidth, getName, getNodeTextColor, getStyleNode, getTextColor, getTextColorCode, isBackgroundColorSet, isCssSet, isFloating, isHorizontalTextAlignmentSet, isMaxNodeWidthSet, isMinNodeWidthSet, isNumbering, isNumberingEnabled, isNumberingSet, isTextColorSet`

### Methods inherited from interface org.freeplane.plugin.script.proxy.Proxy.NodeStyleRO

`getStyle`

## Method Details

### setStyle

void setStyle(org.freeplane.features.styles.IStyle style)

### setMinNodeWidth

void setMinNodeWidth(Quantity<LengthUnit> width)
Set to null to restore default

Since:
  1.5.6

### setMaxNodeWidth

void setMaxNodeWidth(Quantity<LengthUnit> width)
Set to null to restore default

Since:
  1.5.6